Bug 460320 - resume from s2ram reboots
resume from s2ram reboots
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-08-27 10:54 EDT by Bill Nottingham
Modified: 2014-03-16 23:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:20:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pm-suspend.log of Lenovo ThinkPad T61p (54.72 KB, text/plain)
2008-10-27 15:52 EDT, Felix Kaechele
no flags Details
pm-suspend.log of Lenovo ThinkPad T61p with more set -x (57.40 KB, text/plain)
2008-10-27 16:33 EDT, Felix Kaechele
no flags Details

  None (edit)
Description Bill Nottingham 2008-08-27 10:54:52 EDT
Description of problem:

Suspend to RAM appears to work fine. However, on resume, the machine just reboots - no messages.

Version-Release number of selected component (if applicable):

2.6.27-0.275.rc4.git2.fc10.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Suspend to RAM
2. Attempt to resume
  
Actual results:

Reboot

Expected results:

Resume

Additional info:

Thinkpad T60
Comment 1 Bill Nottingham 2008-09-23 18:19:59 EDT
This works now. Most of the time.bb
Comment 2 Jesse Keating 2008-09-23 18:26:45 EDT
Then should it be closed?
Comment 3 Bill Nottingham 2008-09-23 20:50:34 EDT
Yeah. I've not seen it reboot recently; what I've seen is an occasional 'fails to suspend', and an occasional 'takes 30-90 seconds to resume hardware on resume.'
Comment 4 Felix Kaechele 2008-10-21 15:03:31 EDT
This is still an issue for me though.

2.6.27.3-27.rc1.fc10.i686

Hardware: Lenovo ThinkPad T61p (6460-8YG)
Comment 5 Felix Kaechele 2008-10-22 06:39:52 EDT
I did some more testing.
Here are my findings:

After reading this: https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/235284
I edited the /usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-lenovo.fdi file to reflect the changes mentioned. Now the Machine doesn't reboot anymore. I assume the s3_bios quirk just kills the laptop. It didn't reboot in earlier releases though but just hung after resume.
However, if I try to resume the machine now it shows a blinking _ for some time, then show the X screen for a few miliseconds (really only one flick), and goes directly back to sleep. It does this exactly and reproducibly twice. The third time it works normally. It works for me with the nv as well as the proprietary nvidia driver (my card unfortunately isn't supported by nouveau).

I assume this is info that may be filed in another bug.

HTH,
Felix
Comment 6 Matthew Garrett 2008-10-24 15:41:36 EDT
Hm. /usr/lib64/pm-utils/sleep.d/98smart-kernel-video should have been removing the quirk if you had the nvidia driver loaded. Any chance you can add a set -x to the top of pm-suspend and then attach the /var/log/pm-suspend.log file when using the original fdi?
Comment 7 Felix Kaechele 2008-10-27 15:52:15 EDT
Created attachment 321647 [details]
pm-suspend.log of Lenovo ThinkPad T61p

Sorry for taking so long. I hope this pm-suspend.log is useful. I replaced the fdi with the original one from hal-info-20081022-1.fc10.noarch.
The machine shows exactly the same behaviour as mentioned before (needs to be resumed 3 times to work) but additionally plays some weird chime through the soundcard when trying to resume the first two times. Also a popup came up as soon as I logged back in which said that resume has failed and asking if I wanted to visit the Quirks-Webpage.
Comment 8 Matthew Garrett 2008-10-27 16:17:20 EDT
Can you add a set -x to the top of /usr/lib64/pm-utils/sleep.d/98smart-kernel-video and also 99video and repeat it? Looks like it's being called, but for some reason the quirk still seems active. Filing a separate bug for the other issues would probably be a good plan.
Comment 9 Felix Kaechele 2008-10-27 16:33:20 EDT
Created attachment 321657 [details]
pm-suspend.log of Lenovo ThinkPad T61p with more set -x

If it helps I could also make a video of the whole process so you can follow better.
Comment 10 Jesse Keating 2008-10-28 19:17:17 EDT
Not a preview blocker, moving over to Target.
Comment 11 Bug Zapper 2008-11-25 21:52:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-11-18 03:19:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:20:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.